aboutsummaryrefslogtreecommitdiffstats
path: root/testing/cloud-init/APKBUILD
diff options
context:
space:
mode:
authorMatt Dainty <matt+alpine@bodgit-n-scarper.com>2016-03-24 16:33:23 +0000
committerTimo Teräs <timo.teras@iki.fi>2016-03-25 12:06:58 +0000
commite45e5d7aaaa1403955effa893a02d91f0791bb67 (patch)
tree168cf61c6ec18eef43ed0c4fd3f1e9da96967039 /testing/cloud-init/APKBUILD
parente4bcb0bffd74aba1aa5c9378d2cf13495f359b1e (diff)
downloadaports-e45e5d7aaaa1403955effa893a02d91f0791bb67.tar.gz
aports-e45e5d7aaaa1403955effa893a02d91f0791bb67.tar.bz2
aports-e45e5d7aaaa1403955effa893a02d91f0791bb67.tar.xz
testing/cloud-init: new aport
http://launchpad.net/cloud-init Cloud instance init scripts
Diffstat (limited to 'testing/cloud-init/APKBUILD')
-rw-r--r--testing/cloud-init/APKBUILD84
1 files changed, 84 insertions, 0 deletions
diff --git a/testing/cloud-init/APKBUILD b/testing/cloud-init/APKBUILD
new file mode 100644
index 0000000000..0316abd322
--- /dev/null
+++ b/testing/cloud-init/APKBUILD
@@ -0,0 +1,84 @@
+# Contributor: Matt Dainty <matt+alpine@bodgit-n-scarper.com>
+# Maintainer:
+pkgname=cloud-init
+pkgver=0.7.6
+pkgrel=0
+pkgdesc="Cloud instance init scripts"
+url="http://launchpad.net/cloud-init"
+arch="noarch"
+license="GPL"
+depends="python py-cheetah py-configobj py-jinja2 py-jsonpatch py-oauth2 py-prettytable py-requests py-serial py-yaml"
+makedepends="py-setuptools"
+install="$pkgname.pre-install $pkgname.post-install"
+subpackages="$pkgname-doc"
+source="
+ https://launchpad.net/$pkgname/trunk/$pkgver/+download/$pkgname-$pkgver.tar.gz
+ 10-setup.patch
+ 20-alpine.patch
+ cloud-init-local.initd
+ cloud-init.initd
+ cloud-config.initd
+ cloud-final.initd
+ cloud.cfg
+ hosts.alpine.tmpl
+ "
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+
+ for i in init-local init config final; do
+ install -m755 -D "$srcdir"/cloud-$i.initd \
+ "$pkgdir"/etc/init.d/cloud-$i || return 1
+ done
+
+ install -m644 "$srcdir"/cloud.cfg \
+ "$pkgdir"/etc/cloud/
+
+ install -m644 "$srcdir"/hosts.alpine.tmpl \
+ "$pkgdir"/etc/cloud/templates/
+}
+
+md5sums="cd392e943dd0165e90a6d56afd0e4ad3 cloud-init-0.7.6.tar.gz
+90a78c24b1a2ed537d5e7c28c48780d5 10-setup.patch
+00c660d93a85bbe9c891e01141467619 20-alpine.patch
+80892c13e65a5040f32b4d86e848b6bb cloud-init-local.initd
+0041569a737713ea01a154d98007c2e5 cloud-init.initd
+3ff3ae1e27950abf3064da60c23669ba cloud-config.initd
+0824fad27c2bf1b966e8820f51d2fde0 cloud-final.initd
+7956e83fe1c2fb306990efe02a0bc201 cloud.cfg
+3e700738d75419687128a93cbdc35857 hosts.alpine.tmpl"
+sha256sums="9e8fd22eb7f6e40ae6a5f66173ddc3cc18f65ee406c460a728092b37db2f3ed7 cloud-init-0.7.6.tar.gz
+a26154be7b331859660c620ad56f59910b1a832fff3a1d0597a1d8204e1b7846 10-setup.patch
+1c516faedb0a6fa3ef075ac4a0ca9858062ef8ec8f4c8d5edd3257e5b872b86b 20-alpine.patch
+0fc8f79a4675e57b9475ac8fbe92898b17284f6ad903ec1ea9a795783e70ed33 cloud-init-local.initd
+ce227ff37516fc08702996903762704dd255a16d391ed2853fe5d5b88d28231d cloud-init.initd
+3581bf4d4a0b7011edef76c40237517c3fb350c477ffaead1abcdcf4bb8bbe24 cloud-config.initd
+1e5fe801a9981a721e4cb6ebc1f7fd9df2dec1683dae9ab6fd15f8e8338fb7d3 cloud-final.initd
+4a522aeca8aad6b986057110afa0519eb47e27f23342ef06b1485b6f0676dc2e cloud.cfg
+43bcfcd5ff1117a9b54be22f5e50f04aa78fe6574271be7c01d472921d3f04c3 hosts.alpine.tmpl"
+sha512sums="aa2397328afda8e77ed6d642e7642f41a4b4b5bcd3d0e87056aa8c88b56624ec65c57cfc66b0d13ccc235f1840baf1d577316974902a0439cf2f2eb0f8eef36d cloud-init-0.7.6.tar.gz
+502de73eb899d751f025d7d268d3a4eb086177a86da5d6e223b7243ecdb30b93bd3ecb974cfa1f900d2adc8ce2bbc8cd1be23a10115e709b1f2cc22b704d575d 10-setup.patch
+d42e9abb9dbfa3d61ce4b3aaad3633ae75a2bc097775a5c350b4ca0060da2ea99fe66fd602ed60a3e4c0d56eb9d6509bc1fc543babae749a96dad7175b4832d2 20-alpine.patch
+f3131d9fb8b59fb44be1bb9293cfc1809c370efd4c4d215f5a3b337305bf4982d98d4905bcf077b32edfb4d0b605a4db5704779ac667c3546a9cbdd54a95e28e cloud-init-local.initd
+dccdbbe2e8ff7cdf28da2f6ddbbcda3f3c29c99d8b89476d03cb2e46e158614f7a5deea2284d807938e9d12600f642747cd020bd88412d6f3906195d78aa9f5e cloud-init.initd
+644b583eb96ec93bfe71fea27408f29ef432b7535d70dc3eb4b2a99b5131c30310971e4502d100047f0909ce00f58ef42fd9be907a99388dc9f7b98ba3f27ebf cloud-config.initd
+22970d575b5576689b638badfc1248b4710edb33421470b42d0d838a99806b01cefd9346033dc22a062c9eb6c52625966d73722386da9ad632f65fdcd2f10d93 cloud-final.initd
+4ac8b60e9e6af7de8694d7c6658d1f1aec0f91334090796a2190714f5025207fccd2a84a6b4d780fa8928af8f2daf16f5bef5ffd9ba57f7b7e3c0e3b694453a0 cloud.cfg
+813a67d446ee65f5ef5a45fe60bef4d0e404c5d1f9cb732bc0ec0b706a0274f4bc1e7f87e676da1ca9366c2f933163f620ee296ed783372869438dd8a928117b hosts.alpine.tmpl"